## gate.util
Interface NameBearer

All Known Subinterfaces:
  AnnotationVisualResource, Controller, Corpus, DatabaseDataStore, DataStore, Document, LanguageAnalyser, LanguageResource, ProcessingResource, Resource, VisualResource

public interface NameBearer

Classes that have features.

Method Summary
`String` `getName()` Returns the name of this resource
`void` `setName(String name)` Sets the name of this resource

Method Detail

### setName

    public void setName(String name)

  Sets the name of this resource

### getName

    public String getName()

  Returns the name of this resource